"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionHeroBanner = void 0;
var _react = _interopRequireDefault(require("react"));
var _utils = require("./../../utils");
require("./CoalitionHeroBanner.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionHeroBanner = _ref => {
  let {
    name = "",
    balance = 0
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-hero-banner"
  }, name && name.length > 1 ? /*#__PURE__*/_react.default.createElement("h2", {
    className: "welcome"
  }, "Hola ", name) : null, /*#__PURE__*/_react.default.createElement("div", {
    className: "background"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "balance"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "label"
  }, "Tus puntos disponibles:"), /*#__PURE__*/_react.default.createElement("div", {
    className: "value"
  }, (0, _utils.drawBalance)(balance)))));
};
exports.CoalitionHeroBanner = CoalitionHeroBanner;