"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnauthorizedPage = exports.NotFoundPage = exports.NotConnectionPage = void 0;
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireDefault(require("react"));
var _ = require("..");
require("./Pages.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const NotConnectionPage = () => {
  const title = "No tienes conexión a internet";
  const description = "Intenta conectarte de nuevo para user tu programa de lealtad";
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "error-page"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "mobile"
  }, /*#__PURE__*/_react.default.createElement(_.CoalitionSvgs.NotConnectionSvg, null)), /*#__PURE__*/_react.default.createElement("div", {
    className: "desktop"
  }, /*#__PURE__*/_react.default.createElement(_.CoalitionSvgs.NotConnectionSvg, {
    desktop: true
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "detail"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "description"
  }, description)));
};
exports.NotConnectionPage = NotConnectionPage;
const NotFoundPage = () => /*#__PURE__*/_react.default.createElement(ErrorPage, {
  title: "Error 404",
  description: "No encontramos la página que buscas, por favor regresa a nuestra página principal"
});
exports.NotFoundPage = NotFoundPage;
const UnauthorizedPage = () => /*#__PURE__*/_react.default.createElement(ErrorPage, {
  title: "Error 401",
  description: "Necesitas Iniciar sesión para acceder a este contenido"
});
exports.UnauthorizedPage = UnauthorizedPage;
const ErrorPage = _ref => {
  let {
    title,
    description
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "error-page"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "mobile"
  }, /*#__PURE__*/_react.default.createElement(_.CoalitionSvgs.NotFoundSvg, null)), /*#__PURE__*/_react.default.createElement("div", {
    className: "detail"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "description"
  }, description)), /*#__PURE__*/_react.default.createElement("div", {
    className: "desktop"
  }, /*#__PURE__*/_react.default.createElement(_.CoalitionSvgs.NotFoundSvg, {
    desktop: true
  })));
};